import bz2
import threading
from urllib.request import urlopen, Request

HEADERS = {'User-Agent': "Mozilla/5.0 Gecko Firefox"}


def worker(n):
    url = "http://www.taniquetil.com.ar/testfiles/tf{}.bz2".format(n)
    print("Start", n)
    u = urlopen(Request(url, headers=HEADERS))
    print("Opened", n)
    compressed = u.read()
    print("Read", n)
    data = bz2.decompress(compressed)
    print("Decompressed", n, len(data))


threads = []
for i in range(10):
    th = threading.Thread(target=worker, args=(i,))
    th.start()
    threads.append(th)
for th in threads:
    th.join()
print("Done")
